/* -*- Mode: C; tab-width: 4; indent-tabs-mode: t; c-basic-offset: 4 -*- */

#include <moblin-panel/mpl-panel-client.h>
#include "utils.h"

static MplPanelClient *main_widget = NULL;

static void
main_widget_destroyed (gpointer data,
					   GObject *destroyed_object)
{
	main_widget = NULL;
}

void
utils_set_main_widget (GObject *panel_client)
{
	if (main_widget)
		g_object_weak_unref (G_OBJECT (main_widget), main_widget_destroyed, NULL);

	main_widget = (MplPanelClient *) panel_client;
	if (panel_client)
		g_object_weak_ref (G_OBJECT (panel_client), main_widget_destroyed, NULL);
}

void
utils_hide_main_widget (void)
{
	if (main_widget)
		mpl_panel_client_request_hide (main_widget);
}
